/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgeneresultsPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "RESULTCODE")
    private String resultcode;
    @Basic(optional = false)
    @Column(name = "LANGUAGECODE")
    private String languagecode;

    public TgeneresultsPK() {
    }

    public TgeneresultsPK(String resultcode, String languagecode) {
        this.resultcode = resultcode;
        this.languagecode = languagecode;
    }

    public String getResultcode() {
        return resultcode;
    }

    public void setResultcode(String resultcode) {
        this.resultcode = resultcode;
    }

    public String getLanguagecode() {
        return languagecode;
    }

    public void setLanguagecode(String languagecode) {
        this.languagecode = languagecode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (resultcode != null ? resultcode.hashCode() : 0);
        hash += (languagecode != null ? languagecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgeneresultsPK)) {
            return false;
        }
        TgeneresultsPK other = (TgeneresultsPK) object;
        if ((this.resultcode == null && other.resultcode != null) || (this.resultcode != null && !this.resultcode.equals(other.resultcode))) {
            return false;
        }
        if ((this.languagecode == null && other.languagecode != null) || (this.languagecode != null && !this.languagecode.equals(other.languagecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgeneresultsPK[ resultcode=" + resultcode + ", languagecode=" + languagecode + " ]";
    }
    
}
